<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\UserModel;
use App\BeritaModel;
// use App\TeamModel;
// use App\ProductModel;
// use App\KaryaModel;
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;

class BeritaCT extends Controller
{
    //
    public function index()
    {
        $model = new BeritaModel();
        $model = $model->all();
        return view('berita.index', compact('model'));
    }

    public function store(Request $request)
    {

        $judul = $request->judul;
        $content = $request->content;

        $model = new BeritaModel();
        $model->judul = $judul;
        $model->content = $content;
        $model->created_at = Carbon::now('Asia/Jakarta');
        $gambar       = $request->file('gambar');
        if($gambar != null){
            $extensiongambar   = $gambar->getClientOriginalExtension();
            $fileNameBesar = str_replace(' ', '', $request->judul).'_besar_'.Carbon::now()->format('dmYHms').'.'.$extensiongambar;
            $request->file('gambar')->move("storage/", $fileNameBesar);
            $model->gambar = $fileNameBesar;
        }
        $model->save();

        return redirect()->route('berita.index')->with('alert-success', 'Data Berhasil Disimpan.');
    }

    public function edit($id)
    {
        $model = BeritaModel::findOrFail($id);
        return view('berita.edit', compact('model'));
    }

    public function update(Request $request, $id){

        $judul = $request->judul;
        $content = $request->content;
        
        $model = BeritaModel::findOrFail($id);
        $model->judul = $judul;
        $model->content = $content;
        $gambar       = $request->file('gambar');
        if($gambar != null){
            $extensiongambar   = $gambar->getClientOriginalExtension();
            $fileNameBesar = str_replace(' ', '', $request->judul).'_besar_'.Carbon::now()->format('dmYHms').'.'.$extensiongambar;
            $request->file('gambar')->move("storage/", $fileNameBesar);
            $model->gambar = $fileNameBesar;
        }

        $model->save();
        return redirect()->route('berita.index')->with('alert-success', 'Data Berhasil Disimpan.');
    }

    public function delete($id)
    {
        $data = BeritaModel::findOrFail($id);
        return view('berita.delete', compact('data'));
    }

    public function destroy($id)
    {
        $toko = BeritaModel::findOrFail($id);
        $toko->delete();
        return redirect()->route('berita.index')->with('alert-success', 'Data Berhasil Hapus.');
    }
}

?>
