<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\RegistrasiModel;
use App\MobileMasterBuilderModel;
use App\VPNAccountModel;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use GuzzleHttp\Client;


class DashboardController extends Controller
{
  public function index()
  {
    $data = json_decode(json_encode(session()->get('user_data')), false);

    $user = RegistrasiModel::where('id', $data->id)->first();
    $mobile_builder = MobileMasterBuilderModel::where('id_registrasi', $data->id)->where('status', '1')->orderBy('id', 'desc')->first();

    $model['user'] = $user;
    $model['mobile_builder'] = $mobile_builder;

    if($user->status == 2){
        $vpn = VPNAccountModel::where('id_registrasi', $user->id)->orderBy('id','desc')->first();
        $model['vpn'] = $vpn;
    }
    return view('form-config', compact('model'));
  }

  public function config(Request $request){

    $data = json_decode(json_encode(session()->get('user_data')), false);

    $appName = $request->app_name;
    $appId = 'id.co.ie.user.'.$request->app_id;

    $user = RegistrasiModel::where('id', $data->id)->first();

    $check = RegistrasiModel::where('app_id', $appId)->first();
    if($check != null){
        return redirect('dashboard')->with('alert-danger', 'Gagal, App ID '.$appId.' telah digunakan');
    }

    $vpn = new VPNAccountModel();
    $vpn->id_registrasi = $user->id;
    $vpn->username = $request->app_id;
    $vpn->password = $this->randomPassword();
    $vpn->host = '49.128.182.14';
    $vpn->ip = '192.168.1.'.DB::select("select SUBSTRING_INDEX(SUBSTRING_INDEX(max(ip), '.', 4), '.', -1)+1 as ip from vpn_account limit 1")[0]->ip;
    $vpn->save();

    // $file       = $request->file('app_image_src');
    // $extension   = $file->getClientOriginalExtension();
    // $fileName = str_replace(' ', '', $user->id).'_'.Carbon::now()->format('dmYHms').'.'.$extension;
    // $request->file('app_image_src')->move("storage/icon/", $fileName);
    // $user->icon = $fileName;
    $user->app_id = $appId;
    // $user->app_name = $appName;
    $user->status = 2;

    $user->save();
    return redirect('dashboard')->with('alert-success', 'Sukses Konfigurasi!');
  }

    function randomPassword() {
        $alphabet = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890';
        $pass = array(); //remember to declare $pass as an array
        $alphaLength = strlen($alphabet) - 1; //put the length -1 in cache
        for ($i = 0; $i < 8; $i++) {
            $n = rand(0, $alphaLength);
            $pass[] = $alphabet[$n];
        }
        return implode($pass); //turn the array into a string
    }

  public function generate(Request $request){

    $data = json_decode(json_encode(session()->get('user_data')), false);

    $appNmae = $request->app_name;
    $colorPrimary = $request->color_light;
    $colorPrimaryDark = $request->color_dark;
    $colorPrimaryButton = $request->color_accent;

    $user = RegistrasiModel::where('id', $data->id)->first();

    $mobile = new MobileMasterBuilderModel();
    $mobile->id_registrasi = $data->id;
    $mobile->app_id = $user->app_id;
    $mobile->app_name = $appNmae;
    $mobile->app_version = 1;
    $mobile->app_server = 'https://mob.icg.co.id/'.$user->app_id.'_msie/';
    $mobile->color_primary = $colorPrimary;
    $mobile->color_primary_dark = $colorPrimaryDark;
    $mobile->color_primary_button = $colorPrimaryButton;
    $mobile->status = 0;


    $file       = $request->file('app_image_src');
    $extension   = $file->getClientOriginalExtension();
    $fileName = str_replace(' ', '', $mobile->id_registrasi).'_'.Carbon::now()->format('dmYHms').'.'.$extension;
    $request->file('app_image_src')->move("storage/icon/", $fileName);
    $mobile->icon = $fileName;

    $mobile->save();
    return redirect('list-apk')->with('status', 'Profile updated!');
  }

  public function formApk()
  {
    $data = json_decode(json_encode(session()->get('user_data')), false);

    $user = RegistrasiModel::where('id', $data->id)->first();
    $mobile_builder = MobileMasterBuilderModel::where('id_registrasi', $data->id)->where('status', '1')->orderBy('id', 'desc')->first();
    // $mobile_builder_list = MobileMasterBuilderModel::where('id_registrasi', $data->id)->orderBy('id', 'desc')->get();

    $model['user'] = $user;
    $model['mobile_builder'] = null;

    // return $model;
    // $model['mobile_builder_list'] = $mobile_builder_list;
    // return $model;
    return view('form', compact('model'));
  }

  public function listApk()
  {
    $data = json_decode(json_encode(session()->get('user_data')), false);

    $user = RegistrasiModel::where('id', $data->id)->first();
    $mobile_builder = MobileMasterBuilderModel::where('id_registrasi', $data->id)->where('status', '1')->orderBy('id', 'desc')->first();
    $mobile_builder_list = MobileMasterBuilderModel::where('id_registrasi', $data->id)->orderBy('id', 'desc')->get();

    $model['user'] = $user;
    $model['mobile_builder'] = $mobile_builder;

    // return $model;
    $model['mobile_builder_list'] = $mobile_builder_list;
    // return $model;
    return view('list', compact('model'));
  }

}
