<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\UserModel;
use App\BeritaModel;
use App\PermohonanModel;
use App\PermohonanStatusModel;
use App\PengumumanModel;
use App\PeraturanModel;
use App\TrxPermohonanModel;
use App\TrxPermohonanLogModel;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use App\ProdiModel;
use App\TrxKomenModel;


class MobileCT extends Controller
{
    public function checkNumber(Request $request){
        $user = new UserModel();
        $user = $user->where('msisdn', $request->msisdn)->first();
        if($user == null){
            $model['state'] = false;
            $model['data'] = null;
        }else{
            $model['state'] = true;
            $model['data'] = $user;
        }
        return $model;
    }

    public function auth(Request $request){
        $user = new UserModel();
        $user = $user->where('msisdn', $request->msisdn)->first();
        if($user == null){
            $user = new UserModel();
            $user->nama = $request->nama;
            $user->msisdn = $request->msisdn;
            $user->prodi = $request->prodi;
            $user->nim = $request->nim;
            $user->tanggal_registrasi = Carbon::now('Asia/Jakarta')->format('Y-m-d H:m:s');
            $user->save();

            $model['state'] = false;
            $model['data'] = $user;
        }else{
            $model['state'] = true;
            $model['data'] = $user;
        }
        return $model;
    }
    
    public function berita(){
        $model = new BeritaModel();
        $model  = $model->select('id', 'judul', DB::raw("CONCAT(SUBSTRING(`content`, 1, 200), ' ...') as content"), 'gambar', 'created_at')->orderBy('created_at', 'desc')->get();
        $data['state'] = true;
        $data['data'] = $model;
        return $data;
    }

    public function beritaDetail(Request $request){
        $model = new BeritaModel();
        $model  = $model->where('id', $request->id)->first();
        
        if(!empty($model)){
            $data['state'] = true;
            $data['data'] = $model;
        }else{
            $data['state'] = false;
            $data['data'] = null;
        }
        return $data;
    }

    public function pengumuman(){
        $model = new PengumumanModel();
        $model  = $model->select('id', 'judul', DB::raw("CONCAT(SUBSTRING(`content`, 1, 200), ' ...') as content"), 'created_at')->orderBy('created_at', 'desc')->get();
        
        $data['state'] = true;
        $data['data'] = $model;
        return $data;
    }

    public function pengumumanDetail(Request $request){
        $model = new PengumumanModel();
        $model  = $model->where('id', $request->id)->first();   
        
        if(!empty($model)){
            $data['state'] = true;
            $data['data'] = $model;
        }else{
            $data['state'] = false;
            $data['data'] = null;
        }
        
        return $data;
    }

    public function Peraturan(){
        $model = new PeraturanModel();
        $model  = $model->select('id', 'judul', DB::raw("CONCAT(SUBSTRING(`content`, 1, 200), ' ...') as content"), 'created_at')->orderBy('created_at', 'desc')->get();
        
        $data['state'] = true;
        $data['data'] = $model;
        return $data;
    }

    public function PeraturanDetail(Request $request){
        $model = new PeraturanModel();
        $model  = $model->where('id', $request->id)->first();   
        
        if(!empty($model)){
            $data['state'] = true;
            $data['data'] = $model;
        }else{
            $data['state'] = false;
            $data['data'] = null;
        }
        
        return $data;
    }

    public function permohonan(){
        $model = new PermohonanModel();
        $model  = $model->all();
        
        $data['state'] = true;
        $data['data'] = $model;
        return $data;
    }

    public function permohonanByID(Request $request){
        $model = DB::table('trx_permohonan_log')
        ->join('trx_permohonan', 'trx_permohonan_log.trx_id', '=', 'trx_permohonan.id')
        ->join('mstr_permohonan', 'trx_permohonan.permohonan_id', '=', 'mstr_permohonan.id')
        ->join('user', 'trx_permohonan.user_id', '=', 'user.id')
        ->join('mstr_permohonan_status', 'trx_permohonan_log.permohonan_status_id', '=', 'mstr_permohonan_status.id')
        ->select('trx_permohonan_log.*', 'mstr_permohonan.nama as nama_permohonan', 'trx_permohonan.nama as nama_user', 'trx_permohonan.prodi as prodi',  'mstr_permohonan_status.nama as nama_permohonan_status')
        ->where('trx_permohonan.id', $request->id)
        ->orderBy('trx_permohonan.created_at', 'desc')
        ->get();

        $data['state'] = true;
        $data['data'] = $model;
        return $data;
    }


    public function permohonanByUserID(Request $request){
        $model = DB::table('trx_permohonan')
        ->join('mstr_permohonan', 'trx_permohonan.permohonan_id', '=', 'mstr_permohonan.id')
        ->join('user', 'trx_permohonan.user_id', '=', 'user.id')
        ->join('mstr_permohonan_status', 'trx_permohonan.permohonan_status_id', '=', 'mstr_permohonan_status.id')
        ->select('trx_permohonan.*', 'mstr_permohonan.nama as nama_permohonan', 'user.nama as nama_user', 'mstr_permohonan_status.nama as nama_permohonan_status', DB::raw("(select count(*) as count from trx_komen where id_trx_permohonan = trx_permohonan.id) as komen_count"))
        ->where('user.id', $request->id)
        ->orderBy('trx_permohonan.created_at', 'desc')
        ->get();

        $data['state'] = true;
        $data['data'] = $model;
        return $data;
    }

    public function permohonanRequest(Request $request){

        $p_id = $request->p_id;
        // $p_id = 1;
        $user_id = $request->user_id;
        $nama = $request->nama;
        $nim = $request->nim;
        $phone = $request->phone;
        $prodi = $request->prodi;

        $permohonan = new PermohonanStatusModel();
        $permohonan  = $permohonan->where('permohonan_id', $p_id)->orderBy('id','asc')->get();

        $model = new TrxPermohonanModel();
        $model->permohonan_id = $p_id;
        $model->user_id = $user_id;
        $model->permohonan_status_id = $permohonan[0]->id;
        $model->nama = $nama;
        $model->nim = $nim;
        $model->phone = $phone;
        $model->prodi = $prodi;
        $model->created_at = Carbon::now('Asia/Jakarta')->format('Y-m-d H:m:s');
        $model->save();

        $model2 = new TrxPermohonanLogModel();
        $model2->trx_id = $model->id;
        $model2->permohonan_status_id = $permohonan[0]->id;
        $model2->created_at = Carbon::now('Asia/Jakarta')->format('Y-m-d H:m:s');
        $model2->save();

        $data['state'] = true;
        $data['data'] = $model;
        return $data;
    }

    public function prodi(){
        $model = new ProdiModel();
        $model  = $model->all();
        $data['state'] = true;
        $data['data'] = $model;
        return $data;
    }

    public function getKomen(Request $request){
        $model = new TrxKomenModel();
        $model  = $model->where('id_trx_permohonan', $request->id)->get();
        
        $data['state'] = true;
        $data['data'] = $model;
        return $data;
    }
    
}
