<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\PermohonanModel;
use App\PermohonanStatusModel;
use App\TrxPermohonanModel;
use App\TrxPermohonanLogModel;
use App\TrxKomenModel;
// use App\TeamModel;
// use App\ProductModel;
// use App\KaryaModel;
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;

class PermohonanCT extends Controller
{
    //
    public function index()
    {
        $model = new PermohonanModel();
        $model = $model->all();
        return view('permohonan.index', compact('model'));
    }

    public function store(Request $request)
    {

        $nama = $request->nama;

        $model = new PermohonanModel();
        $model->nama = $nama;
        $model->created_at = Carbon::now('Asia/Jakarta');
        $model->save();

        $permohonan = new PermohonanStatusModel();
        $permohonan->permohonan_id = $model->id;
        $permohonan->nama = "DALAM KONFIRMASI";
        $permohonan->created_at = Carbon::now('Asia/Jakarta');
        $permohonan->save();

        $permohonan = new PermohonanStatusModel();
        $permohonan->permohonan_id = $model->id;
        $permohonan->nama = "DI PROSES";
        $permohonan->created_at = Carbon::now('Asia/Jakarta');
        $permohonan->save();

        $permohonan = new PermohonanStatusModel();
        $permohonan->permohonan_id = $model->id;
        $permohonan->nama = "SELESAI";
        $permohonan->created_at = Carbon::now('Asia/Jakarta');
        $permohonan->save();

        return redirect()->route('permohonan.index')->with('alert-success', 'Data Berhasil Disimpan.');
    }

    public function edit($id)
    {
        $model = PermohonanModel::findOrFail($id);
        return view('permohonan.edit', compact('model'));
    }

    public function update(Request $request, $id){

        $nama = $request->nama;
        
        $model = PermohonanModel::findOrFail($id);
        $model->nama = $nama;

        $model->save();
        return redirect()->route('permohonan.index')->with('alert-success', 'Data Berhasil Disimpan.');
    }

    public function delete($id)
    {
        $data = PermohonanModel::findOrFail($id);
        return view('permohonan.delete', compact('data'));
    }

    public function destroy($id)
    {
        $toko = PermohonanModel::findOrFail($id);
        $toko->delete();
        return redirect()->route('permohonan.index')->with('alert-success', 'Data Berhasil Hapus.');
    }

    public function masuk()
    {

        // $model = DB::table('trx_permohonan')
        // ->join('mstr_permohonan', 'trx_permohonan.permohonan_id', '=', 'mstr_permohonan.id')
        // ->join('user', 'trx_permohonan.user_id', '=', 'user.id')
        // ->select('trx_permohonan.*', 'mstr_permohonan.nama as nama_permohonan', 'user.nama as nama_user', 'user.prodi as prodi')
        // ->get();


        $model = new PermohonanModel();
        $model = $model->all();
        return view('permohonan.index-masuk', compact('model'));
    }

    public function masukByID($id)
    {



        $model = new PermohonanStatusModel();
        $model = $model->where('permohonan_id',$id)->get();
        return view('permohonan.index-masuk-state', compact('model'));
    }

    public function masukByIDStatus($id, $pid)
    {

        $data = DB::table('trx_permohonan')
        ->join('mstr_permohonan', 'trx_permohonan.permohonan_id', '=', 'mstr_permohonan.id')
        ->join('user', 'trx_permohonan.user_id', '=', 'user.id')
        ->join('mstr_permohonan_status', 'trx_permohonan.permohonan_status_id', '=', 'mstr_permohonan_status.id')
        ->select('trx_permohonan.*', 'mstr_permohonan.nama as nama_permohonan', 'user.nama as nama_user', 'mstr_permohonan_status.nama as nama_permohonan_status')
        ->where('mstr_permohonan_status.id', $id)
        ->get();


        $permohonan = new PermohonanStatusModel();
        $permohonan = $permohonan->where('permohonan_id',$pid)->get();

        $model['permohonan'] = $permohonan;
        $model['data'] = $data;

        // return $model;


        return view('permohonan.index-masuk-result', compact('model'));
    }

    public function updatePermohonan(Request $request)
    {
        $p_id = $request->p_id;
        $p_trx_id = $request->p_trx_id;
        $p_s_id = $request->p_s_id;
        $p_u_id = $request->p_u_id;

        // return $request;

        $model = new TrxPermohonanModel();
        $model = $model->where('id',$p_id)->where('permohonan_status_id', $p_s_id)->first();
        $model->permohonan_status_id = $p_u_id;
        $model->created_at = Carbon::now('Asia/Jakarta');
        $model->save();
        // return $model;        

        $data = new TrxPermohonanLogModel();
        $data->trx_id = $model->id;
        $data->permohonan_status_id = $p_u_id;
        $data->created_at = Carbon::now('Asia/Jakarta');
        $data->save();

        return redirect()->to('/admin/permohonan-masuk-result/'.$p_s_id.'/'.$p_trx_id)->with('alert-success', 'Data Berhasil Disimpan.');
    }

    public function permohonanDetail($id)
    {

        // $model = new TrxPermohonanModel();
        $komen = new TrxKomenModel();
        $komen = $komen->where('id_trx_permohonan', $id)
                    ->orderBy('created_at', 'desc')
                    ->get();

        $data = DB::table('trx_permohonan')
        ->join('mstr_permohonan', 'trx_permohonan.permohonan_id', '=', 'mstr_permohonan.id')
        ->join('user', 'trx_permohonan.user_id', '=', 'user.id')
        ->join('mstr_permohonan_status', 'trx_permohonan.permohonan_status_id', '=', 'mstr_permohonan_status.id')
        ->select('trx_permohonan.*', 'mstr_permohonan.nama as nama_permohonan', 'user.nama as nama_user', 'mstr_permohonan_status.nama as nama_permohonan_status')
        ->where('trx_permohonan.id', $id)
        ->first();
        // $model = $model->where('id', $id)->first();
        
        $model['data'] = $data;
        $model['komen'] = $komen;
        // return $model;

        return view('permohonan.komen', compact('model'));
    }

    public function permohonanDetailPost(Request $request){

        $permohonan_id = $request->permohonan_id;
        $permohonan_status_id = $request->permohonan_status_id;

        $model = new TrxKomenModel();
        $model->id_trx_permohonan = $request->id;
        $model->komen = $request->komen;
        $model->save();

        return redirect()->to('/admin/permohonan-masuk-result/'.$permohonan_status_id.'/'.$permohonan_id)->with('alert-success', 'Data Berhasil Disimpan.');

    }
}

?>
