<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\PermohonanStatusModel;
use App\PermohonanModel;
// use App\TeamModel;
// use App\ProductModel;
// use App\KaryaModel;
use Carbon\Carbon;
use Illuminate\Support\Facades\DB;

class PermohonanStatusCT extends Controller
{
    //
    public function index()
    {
    	$permohonan = new PermohonanModel();
        $permohonan = $permohonan->all();

        $data = DB::table('mstr_permohonan_status')
        ->join('mstr_permohonan', 'mstr_permohonan_status.permohonan_id', '=', 'mstr_permohonan.id')
        ->select('mstr_permohonan_status.*', 'mstr_permohonan.nama as nama_permohonan')
        ->get();

        $model['permohonan'] = $permohonan;
        $model['data'] = $data;

        return view('permohonan-status.index', compact('model'));
    }

    public function store(Request $request)
    {

        $permohonan_id = $request->permohonan_id;
        $nama = $request->nama;

        $model = new PermohonanStatusModel();
        $model->nama = $nama;
        $model->permohonan_id = $permohonan_id;
        $model->created_at = Carbon::now('Asia/Jakarta');
        $model->save();

        return redirect()->route('permohonan-status.index')->with('alert-success', 'Data Berhasil Disimpan.');
    }

    public function edit($id)
    {
        $permohonan = new PermohonanModel();
        $permohonan = $permohonan->all();

        $data = DB::table('mstr_permohonan_status')
        ->join('mstr_permohonan', 'mstr_permohonan_status.permohonan_id', '=', 'mstr_permohonan.id')
        ->select('mstr_permohonan_status.*', 'mstr_permohonan.nama as nama_permohonan')
        ->get();

        
        // $data = PermohonanStatusModel::findOrFail($id);
        $data = DB::table('mstr_permohonan_status')
        ->join('mstr_permohonan', 'mstr_permohonan_status.permohonan_id', '=', 'mstr_permohonan.id')
        ->select('mstr_permohonan_status.*', 'mstr_permohonan.nama as nama_permohonan')
        ->where('mstr_permohonan_status.id', $id)
        ->first();

        $model['permohonan'] = $permohonan;
        $model['data'] = $data;
        return view('permohonan-status.edit', compact('model'));
    }

    public function update(Request $request, $id){

        $permohonan_id = $request->permohonan_id;
        $nama = $request->nama;
        
        $model = PermohonanStatusModel::findOrFail($id);
        $model->nama = $nama;
        $model->permohonan_id = $permohonan_id;

        $model->save();
        return redirect()->route('permohonan-status.index')->with('alert-success', 'Data Berhasil Disimpan.');
    }

    public function delete($id)
    {
        $data = PermohonanStatusModel::findOrFail($id);
        return view('permohonan-status.delete', compact('data'));
    }

    public function destroy($id)
    {
        $toko = PermohonanStatusModel::findOrFail($id);
        $toko->delete();
        return redirect()->route('permohonan-status.index')->with('alert-success', 'Data Berhasil Hapus.');
    }
}

?>
