<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
// 	return view('login');
// });
Route::get('/', 'AuthController@check');
Route::post('/login-user', 'AuthController@login');
Route::get('/iReloadEngineCustomMobile', 'AuthController@iReloadEngineCustomMobile');
Route::get('/iReloadEngineCustomMobile/home', 'AuthController@iReloadEngineCustomMobile');

Route::group(['middleware' => 'checklogin'], function () {
	// Route::get('/dashboard', 'DashboardController@index');
	Route::get('/admin', function () {
		return view('home');
	});
	Route::post('/config', 'DashboardController@config');
	Route::post('/generate', 'DashboardController@generate');
	Route::get('/build-apk', 'DashboardController@formApk');
	Route::get('/list-apk', 'DashboardController@listApk');
	Route::get('/logout', 'AuthController@logout');
	Route::resource('/admin/user', 'UserCT');
	Route::resource('/admin/prodi', 'ProdiCT');
	Route::resource('/admin/pengumuman', 'PengumumanCT');
	Route::resource('/admin/peraturan', 'PeraturanCT');
	Route::resource('/admin/permohonan', 'PermohonanCT');
	Route::resource('/admin/permohonan-status', 'PermohonanStatusCT');
	Route::resource('/admin/berita', 'BeritaCT');
	Route::get('/admin/permohonan-masuk', 'PermohonanCT@masuk');
	Route::get('/admin/permohonan-masuk/{id}', 'PermohonanCT@masukByID');
	Route::get('/admin/permohonan-masuk-result/{id}/{pid}', 'PermohonanCT@masukByIDStatus');
	Route::post('/admin/permohonan-update', 'PermohonanCT@updatePermohonan');
	Route::get('/admin/permohonan-komen/{id}', 'PermohonanCT@permohonanDetail');
	Route::post('/admin/permohonan-komen', 'PermohonanCT@permohonanDetailPost');
});

Route::get('/login', function () {
	return view('login');
});

Route::get('/register', function () {
	return view('register');
});
