<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>iReload Engine Software Pulsa</title>
  <link href="<?php echo e(URL::asset('dist_native/vendor/bootstrap/css/bootstrap.min.css')); ?>" rel="stylesheet">
  <link href="<?php echo e(URL::asset('dist_native/css/heroic-features.css')); ?>" rel="stylesheet">
  <script src="<?php echo e(URL::asset('dist_native/assets/custom-apk.js')); ?>" type="text/javascript"></script>
</head>

<body>
  <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
    <a class="navbar-brand" href="#">iReload Engine Software Pulsa Customize Mobile App</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarsExampleDefault">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" href="/dashboard">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/build-apk">Build APK <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" href="/list-apk">List APK</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/logout">Logout</a>
        </li>
      </ul>
    </div>
  </nav>

  <br><br>

  <?php $__currentLoopData = $model['mobile_builder_list']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
  <div class="container">
    <!-- Example row of columns -->
    <div class="row">

      <div class="col-md-3">
        <h2>Builder ID</h2>
        <p><a class="btn btn-secondary" href="#" role="button"><?php echo e($item->id); ?></a></p>
      </div>
      <div class="col-md-3">
        <h2>App ID</h2>
        <p><a class="btn btn-danger" href="#" role="button"><?php echo e($model['user']->app_id); ?></a></p>
      </div>
      <div class="col-md-3">
        <h2>App Name</h2>
        <p>
          <a class="btn btn-warning" href="#" role="button">
            <?php echo e($item->app_name); ?>

          </a>
        </p>
      </div>
      <div class="col-md-3">
        <h2>Link</h2>
        <?php if($item->apk_link != null && $item->status == 1): ?>
        <p><a class="btn btn-success" href="/storage/apk/<?php echo e($item->apk_link); ?>" role="button">Download</a></p>
        <?php else: ?>
        <p><a class="btn btn-warning" role="button">APK Sedang diproses</a></p>
        <?php endif; ?>
      </div>
    </div>

    <hr>

  </div>

  <div class="container">

    <?php if($item == null): ?>
    <div class="alert alert-danger" role="alert">      
      Pembuatan APK hanya bisa 1 kali, pastikan warna, nama dan icon anda sesuai pilihan.
    </div>
    <?php endif; ?>

    <!-- <header class="jumbotron my-4"> -->

    <!-- </header> -->

    <div class="row text-center">

      <div class="col-lg-3 col-md-6 mb-4">
        <div class="card" style="margin: 0px; padding: 0px; border:none; background: green">
          <img id="color-dark-c1" 
          <?php if($item != null): ?>
          style="background: <?php echo e($item->color_primary_dark); ?>" 
          <?php else: ?>
          style="background: #388E3C" 
          <?php endif; ?>
          class="card-img-top" src="<?php echo e(URL::asset('dist_native/assets/img/custom1-part1.png')); ?>" alt="">
          <img id="color-primary-c1" 
          <?php if($item != null): ?>
          style="background: <?php echo e($item->color_primary); ?>" 
          <?php else: ?>
          style="background: #4CAF50" 
          <?php endif; ?>
          class="card-img-bottom" src="<?php echo e(URL::asset('dist_native/assets/img/custom1-part2.png')); ?>" alt="">

        </div>
      </div>

      <div class="col-lg-3 col-md-6 mb-4">
        <div class="card"  style="margin: 0px; padding: 0px; border:none; background: green">
          <div style="background: #f9f9f9; height: 40%;   line-height: 40%;text-align: center; padding-top: 25px">
            <img src="/storage/icon/<?php echo e($item->icon); ?>" alt="thumbnail" id="app_image_src_thumbnail" style="max-height: 120px; visibility: visible; padding-bottom: 10px;">
          </div>
          <div style="background: #f9f9f9; padding-right: 16px; padding-left: 16px; padding-bottom: 10px;">
            <div style="font-size: 12px" id="app_name_preview"><?php echo e($item->app_name); ?></div>
          </div>
          <img id="color-primary-c2-p1" 
          <?php if($item != null): ?>
          style="background: <?php echo e($item->color_primary); ?>" 
          <?php else: ?>
          style="background: #4CAF50" 
          <?php endif; ?>
          class="card-img-top" src="<?php echo e(URL::asset('dist_native/assets/img/custom2-part1.png')); ?>" alt="">
          <img id="color-button" class="card-img-top" 
          <?php if($item != null): ?>
          style="background: <?php echo e($item->color_primary_button); ?>" 
          <?php else: ?>
          style="background: #FFC107;" 
          <?php endif; ?>
          src="<?php echo e(URL::asset('dist_native/assets/img/custom2-part2.png')); ?>" alt="">
          <img id="color-primary-c2-p2" 
          <?php if($item != null): ?>
          style="background: <?php echo e($item->color_primary); ?>" 
          <?php else: ?>
          style="background: #4CAF50"
          <?php endif; ?>
          class="card-img-top" src="<?php echo e(URL::asset('dist_native/assets/img/custom2-part3.png')); ?>" alt="">
        </div>
      </div>

      <div class="col-lg-3 col-md-6 mb-4">
        <div class="card" style="margin: 0px; padding: 0px; border:none; background: green">
          <img id="color-dark-c3" 
          <?php if($item != null): ?>
          style="background: <?php echo e($item->color_primary_dark); ?>" 
          <?php else: ?>
          style="background: #388E3C"
          <?php endif; ?>
          class="card-img-top" src="<?php echo e(URL::asset('dist_native/assets/img/custom1-part1.png')); ?>" alt="">
          <img id="color-primary-c3" 
          <?php if($item != null): ?>
          style="background: <?php echo e($item->color_primary); ?>" 
          <?php else: ?>
          style="background: #4CAF50" 
          <?php endif; ?>
          class="card-img-bottom" src="<?php echo e(URL::asset('dist_native/assets/img/custom3.png')); ?>" alt="">

        </div>
      </div>  
    </div>

  </div>
  <br><br>
  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

  <footer class="py-5 bg-dark">
    <div class="container">
      <p class="m-0 text-center text-white">Copyright &copy; iReload Engine Customize Android</p>
    </div>
  </footer>

  <script src="<?php echo e(URL::asset('dist_native/vendor/jquery/jquery.min.js')); ?>"></script>
  <script src="<?php echo e(URL::asset('dist_native/vendor/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>

</body>

</html>